"""empty message

Revision ID: 4194dc7ab409
Revises: 97e0b3afbe68
Create Date: 2018-05-16 01:53:22.372362

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '4194dc7ab409'
down_revision = '97e0b3afbe68'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('jarak',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('rt_awal_id', sa.Integer(), nullable=False),
    sa.Column('rt_tujuan_id', sa.Integer(), nullable=False),
    sa.Column('jarak', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['rt_awal_id'], ['rukun_tetangga.id'], name='fk_rt_awal_id'),
    sa.ForeignKeyConstraint(['rt_tujuan_id'], ['rukun_tetangga.id'], name='fk_rt_tujuan_id'),
    sa.PrimaryKeyConstraint('id')
    )
    op.add_column('ketua_arisan', sa.Column('is_dimas', sa.Boolean(), nullable=True))
    op.add_column('ketua_arisan', sa.Column('is_golden_age', sa.Boolean(), nullable=True))
    op.add_column('ketua_arisan', sa.Column('is_wmt', sa.Boolean(), nullable=True))
    op.alter_column('rukun_tetangga', 'rt',
               existing_type=sa.VARCHAR(length=30),
               type_=sa.String(length=5),
               existing_nullable=False)
    op.alter_column('rukun_tetangga', 'rw',
               existing_type=sa.INTEGER(),
               type_=sa.String(length=5),
               existing_nullable=False)
    op.add_column('territory', sa.Column('penyuluh_id', sa.Integer(), nullable=True))
    op.create_foreign_key('fk_penyuluh_id', 'territory', 'penyuluh', ['penyuluh_id'], ['id'])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint('fk_penyuluh_id', 'territory', type_='foreignkey')
    op.drop_column('territory', 'penyuluh_id')
    op.alter_column('rukun_tetangga', 'rw',
               existing_type=sa.String(length=5),
               type_=sa.INTEGER(),
               existing_nullable=False)
    op.alter_column('rukun_tetangga', 'rt',
               existing_type=sa.String(length=5),
               type_=sa.VARCHAR(length=30),
               existing_nullable=False)
    op.drop_column('ketua_arisan', 'is_wmt')
    op.drop_column('ketua_arisan', 'is_golden_age')
    op.drop_column('ketua_arisan', 'is_dimas')
    op.drop_table('jarak')
    # ### end Alembic commands ###
